# SPDX-License-Identifier: GPL-2.0-only OR BSD-2-Clause
%YAML 1.2
---
$id: http://devicetree.org/schemas/arm/bst.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: BST platforms

description:
  Black Sesame Technologies (BST) is a semiconductor company that produces
  automotive-grade system-on-chips (SoCs) for intelligent driving, focusing
  on computer vision and AI capabilities. The BST C1200 family includes SoCs
  for ADAS (Advanced Driver Assistance Systems) and autonomous driving
  applications.

maintainers:
  - Ge Gordon <gordon.ge@bst.ai>

properties:
  $nodename:
    const: '/'
  compatible:
    oneOf:
      - description: BST C1200 CDCU1.0 ADAS 4C2G board
        items:
          - const: bst,c1200-cdcu1.0-adas-4c2g
          - const: bst,c1200

additionalProperties: true

...
